Bug 1804787 - Some .desktop menu entries unlocalized
Summary: Some .desktop menu entries unlocalized
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 31
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Martin Stransky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-19 16:01 UTC by Ricardo Silva Veloso
Modified: 2020-03-16 07:48 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-16 07:48:24 UTC
Type: Bug


Attachments (Terms of Use)
Screenshot showing the menu entries in GNOME (36.38 KB, image/png)
2020-02-19 16:01 UTC, Ricardo Silva Veloso
no flags Details
Screenshot showing the menu entries partially localized (45.68 KB, image/png)
2020-02-24 15:14 UTC, Ricardo Silva Veloso
no flags Details

Description Ricardo Silva Veloso 2020-02-19 16:01:56 UTC
Created attachment 1664079 [details]
Screenshot showing the menu entries in GNOME

Description of problem:

Some menu entries are unlocalized like `pt_BR` (is `pt-BR` in the file, which is not compliant with spec - https://specifications.freedesktop.org/desktop-entry-spec/latest/ar01s05.html).

Version-Release number of selected component (if applicable):

73.0 (64-bits)

How reproducible:

Open the menu in the GNOME dash or in the top bar.

Actual results:

Show menu entries in English.

Expected results:

Show menu entries in user locale.

Comment 1 Martin Stransky 2020-02-24 11:23:16 UTC
Do I understand correctly that we need to change pt-BR to pt_BR (and others) in the desktop file? If so can you test if that actually works?
Thanks.

Comment 2 Ricardo Silva Veloso 2020-02-24 15:14:55 UTC
Created attachment 1665452 [details]
Screenshot showing the menu entries partially localized

Yes and Yes.

Comment 3 Martin Stransky 2020-02-24 17:25:42 UTC
Added to firefox-73.0.1-2, Thanks.

Comment 4 Ricardo Silva Veloso 2020-03-15 00:07:11 UTC
Working for me now on Firefox 74.0. Thanks!


Note You need to log in before you can comment on or make changes to this bug.